> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://virtuous.ferndocs.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://virtuous.ferndocs.com/_mcp/server.

# Get Event Attendees for an Event

GET https://api.virtuoussoftware.com/api/Event/{eventId}/Attendees

Reference: https://virtuous.ferndocs.com/reference/crm-plus/events/get-event-attendees-for-an-event

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Servers

- `https://api.virtuoussoftware.com` (https://api.virtuoussoftware.com, default)
- `{{baseUrl}}api` ({{baseUrl}}api)

## Request

### Path parameters

- `eventId` (string, required)

### Query parameters

- `skip` (integer, optional) — The number of records to skip. Default = 0.
- `take` (integer, optional) — The number of records to take. Default = 10.

## Response

### 200

OK

- `list` (list of ApiEventEventIdAttendeesGetResponsesContentApplicationJsonSchemaListItems, optional)
- `total` (string, optional)

## Types

### ApiEventEventIdAttendeesGetResponsesContentApplicationJsonSchemaListItems

- `id` (string, optional)
- `eventInvitationUrl` (string, optional)
- `contactId` (string, optional)
- `contactIndividualId` (string, optional)
- `invitee` (string, optional)
- `contactUrl` (string, optional)
- `event` (string, optional)
- `eventId` (string, optional)
- `eventViewUrl` (string, optional)
- `location` (string, optional)
- `startDateTime` (string, optional)
- `endDateTime` (string, optional)
- `timeZone` (string, optional)
- `rsvp` (string, optional)
- `attended` (string, optional)
- `emailAddress` (string, optional)
- `invited` (string, optional)
- `emailStatus` (string, optional)
- `emailSent` (string, optional)
- `createDateTimeUtc` (string, optional)
- `createdByUser` (string, optional)
- `modifiedDateTimeUtc` (string, optional)
- `modifiedByUser` (string, optional)
- `customFields` (list of ApiEventEventIdAttendeesGetResponsesContentApplicationJsonSchemaListItemsCustomFieldsItems, optional)

### ApiEventEventIdAttendeesGetResponsesContentApplicationJsonSchemaListItemsCustomFieldsItems

- `name` (string, optional)
- `value` (string, optional)
- `displayName` (string, optional)

## Examples

**Response**

```json
{
  "list": [
    {
      "id": "<integer>",
      "eventInvitationUrl": "<string>",
      "contactId": "<integer>",
      "contactIndividualId": "<integer>",
      "invitee": "<string>",
      "contactUrl": "<string>",
      "event": "<string>",
      "eventId": "<integer>",
      "eventViewUrl": "<string>",
      "location": "<string>",
      "startDateTime": "<string>",
      "endDateTime": "<string>",
      "timeZone": "<string>",
      "rsvp": "<string>",
      "attended": "<string>",
      "emailAddress": "<string>",
      "invited": "<string>",
      "emailStatus": "<string>",
      "emailSent": "<string>",
      "createDateTimeUtc": "<dateTime>",
      "createdByUser": "<string>",
      "modifiedDateTimeUtc": "<dateTime>",
      "modifiedByUser": "<string>",
      "customFields": [
        {
          "name": "<string>",
          "value": "<string>",
          "displayName": "<string>"
        },
        {
          "name": "<string>",
          "value": "<string>",
          "displayName": "<string>"
        }
      ]
    },
    {
      "id": "<integer>",
      "eventInvitationUrl": "<string>",
      "contactId": "<integer>",
      "contactIndividualId": "<integer>",
      "invitee": "<string>",
      "contactUrl": "<string>",
      "event": "<string>",
      "eventId": "<integer>",
      "eventViewUrl": "<string>",
      "location": "<string>",
      "startDateTime": "<string>",
      "endDateTime": "<string>",
      "timeZone": "<string>",
      "rsvp": "<string>",
      "attended": "<string>",
      "emailAddress": "<string>",
      "invited": "<string>",
      "emailStatus": "<string>",
      "emailSent": "<string>",
      "createDateTimeUtc": "<dateTime>",
      "createdByUser": "<string>",
      "modifiedDateTimeUtc": "<dateTime>",
      "modifiedByUser": "<string>",
      "customFields": [
        {
          "name": "<string>",
          "value": "<string>",
          "displayName": "<string>"
        },
        {
          "name": "<string>",
          "value": "<string>",
          "displayName": "<string>"
        }
      ]
    }
  ],
  "total": "<integer>"
}
```

**SDK Code**

```python Events_getEventAttendeesForAnEvent_example
import requests

url = "https://api.virtuoussoftware.com/api/Event/eventId/Attendees"

querystring = {"skip":"1","take":"1"}

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers, params=querystring)

print(response.json())
```

```javascript Events_getEventAttendeesForAnEvent_example
const url = 'https://api.virtuoussoftware.com/api/Event/eventId/Attendees?skip=1&take=1';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Events_getEventAttendeesForAnEvent_example
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.virtuoussoftware.com/api/Event/eventId/Attendees?skip=1&take=1"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Events_getEventAttendeesForAnEvent_example
require 'uri'
require 'net/http'

url = URI("https://api.virtuoussoftware.com/api/Event/eventId/Attendees?skip=1&take=1")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java Events_getEventAttendeesForAnEvent_example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.virtuoussoftware.com/api/Event/eventId/Attendees?skip=1&take=1")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php Events_getEventAttendeesForAnEvent_example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.virtuoussoftware.com/api/Event/eventId/Attendees?skip=1&take=1', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp Events_getEventAttendeesForAnEvent_example
using RestSharp;

var client = new RestClient("https://api.virtuoussoftware.com/api/Event/eventId/Attendees?skip=1&take=1");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift Events_getEventAttendeesForAnEvent_example
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.virtuoussoftware.com/api/Event/eventId/Attendees?skip=1&take=1")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```